Available in VPC
Get the list of Object Storage buckets available to use in Cloud DB for MSSQL.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmssql/v2/getCloudMssqlBucketList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) request headers.
Request query parameter
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the Cloud DB for MSSQL instance to view
|
cloudMssqlInstanceNo |
String | Required | Cloud DB for MSSQL instance number |
cloudMssqlServerName |
String | Required | Cloud DB for MSSQL server name |
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlBucketList
?regionCode=KR
&cloudMssqlInstanceNo=2517****
&cloudMssqlServerName=m-2517****-001
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See CloudMssqlBucketList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) response status codes.
Response example
The following is a sample response.
-
If
responseFormatType=json{ "getCloudMssqlBucketListResponse": { "totalRows": 1, "cloudMssqlBucketList": [ { "bucketName": "bucket" } ], "requestId": "66c6a943-****-****-****-f7e210c89fc2", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<?xml version="1.0" encoding="UTF-8"?> <getCloudMssqlBucketListResponse> <requestId>66c6a943-****-****-****-f7e210c89fc2</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> <totalRows>1</totalRows> <cloudMssqlBucketList> <cloudMssqlBucket> <bucketName>bucket</bucketName> </cloudMssqlBucket> </cloudMssqlBucketList> </getCloudMssqlBucketListResponse>